petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecCUSPRestoreCUDAArrayReadWrite

Restore a device vector previously acquired with VecCUSPGetCUDAArrayReadWrite().

### Synopsis

    PETSC_EXTERN PetscErrorCode VecCUSPRestoreCUDAArrayReadWrite(Vec v, PetscScalar **a)

This marks the host data as out of date. Subsequent access to the vector data on the host side with for instance VecGetArray() incurs a data transfer.

### Input Parameter

| v | - the vector
| a | - the CUDA device pointer. This pointer is invalid after VecCUSPRestoreCUDAArrayReadWrite() returns.

### Fortran note

This function is not currently available from Fortran.

### See Also

VecCUSPGetCUDAArrayRead(), VecCUSPGetCUDAArrayWrite(), VecCUSPGetArrayReadWrite(), VecCUSPGetArrayRead(), VecCUSPGetArrayWrite(), VecGetArray(), VecRestoreArray(), VecGetArrayRead()

Level:advanced
Location:src/vec/vec/impls/seq/seqcusp/veccusp2.cu
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages